Bug 251558 - RFE: Provide a method to control services with Conga
RFE: Provide a method to control services with Conga
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan McCabe
Brian Brock
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-08-09 14:48 EDT by Mark Nielsen
Modified: 2009-04-16 18:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-11 12:02:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Nielsen 2007-08-09 14:48:17 EDT
Description of problem:

My cluster runs /etc/xen/ and /var/lib/xen/images/ on a clustered GFS SAN LUN so
that I can migrate my VMs around the cluster. This is done through treating the
VM as a service as configured following jparsons guide.

The issue that this creates is a condition where if xend is running, /etc/xen/
is mounted (busy) which means you can't use Conga to stop cman (gfs can't umount
/etc/xen/). You must log in to each node of the cluster and manually stop xend
so that /etc/xen/ can be unmounted when cman is brought down.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a cluster
2. Make /etc/xen/ a clustered GFS partition
3. Try to stop cman through conga
Actual results:
Conga can't stop cman because xend has /etc/xen/ mounted. GFS can't umount this
busy filesystem, so cman hangs, conga hangs, and rgmanager hangs.

Expected results:
I'd like to be able to stop xend through Conga across the cluster by configuring
it as a service.

Additional info:
Comment 2 RHEL Product and Program Management 2007-10-15 23:49:46 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 3 Kiersten (Kerri) Anderson 2007-10-31 12:04:59 EDT
Devel NAK for 5.2 - ended up below the line of available resources.
Comment 4 RHEL Product and Program Management 2007-10-31 12:13:02 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 
Comment 6 Ryan McCabe 2009-02-11 12:02:45 EST
This is beyond the scope of conga, so we won't ship this.

Note You need to log in before you can comment on or make changes to this bug.